Bug 1372079 - ixgbe nic is falsely advertising MII support
Summary: ixgbe nic is falsely advertising MII support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Ken Cox
QA Contact: LiLiang
URL:
Whiteboard:
Depends On:
Blocks: 1298243 1420851 1442258
TreeView+ depends on / blocked
 
Reported: 2016-08-31 20:32 UTC by David Hill
Modified: 2020-02-14 17:54 UTC (History)
11 users (show)

Fixed In Version: kernel-3.10.0-747.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 19:27:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1062 0 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2018-04-10 19:23:31 UTC

Description David Hill 2016-08-31 20:32:14 UTC
Description of problem:
ixgbe nic is falsely advertising MII support and is causing an error in OVS where failover won't behave as expected.

An ixgbe maintainer wrote a patch [1] and the OVS team is asking me to test this patch with the customer.  Would it be possible to merge this patch?

http://patchwork.ozlabs.org/patch/664633/

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a OVS bridge while bonding two ixgbe nics 
2. Unplug one of the cables
3. 

Actual results:
Failover is failing

Expected results:
Failover should work

Additional info:

Comment 5 David Hill 2016-09-16 16:14:35 UTC
We tested this patch and it's fixing our issue totally.

Comment 9 Ken Cox 2017-09-25 13:32:39 UTC
David,

This patch has never made it upstream.  Can we get the customer's permission to open this bz to Intel so we can inquire?

Comment 10 David Hill 2017-09-25 14:54:52 UTC
Hello sir,

  Why is this BZ private?  I think we can safely open it to the public.

Thank you very much,

David HIll

Comment 11 Ken Cox 2017-09-25 15:12:50 UTC
Travis,

The patch mentioned in the description has not made it upstream yet.  This is reported to fix this bug for the customer.

Can we ping Intel and get status?

Comment 13 Pragyan Pathi 2017-09-25 17:51:20 UTC
Changing need info to Jeff K

Comment 14 Jeff Kirsher 2017-10-03 14:06:39 UTC
After consulting with the author, this patches status was incorrectly changed.  I currently have the patch going through validation and should be pushed upstream to David Miller later this week.

Comment 15 Jeff Kirsher 2017-10-09 19:17:15 UTC
The patch has been pushed upstream and has been accepted by David Miller into his "net" tree.  Here is the commit information:

commit e0f06bba9629
Author: Mark Rustad <mark.d.rustad@intel.com>

     ixgbe: Return error when getting PHY address if PHY access is not supported

Comment 17 Rafael Aquini 2017-10-21 13:22:35 UTC
Patch(es) committed on kernel repository and an interim kernel build is undergoing testing

Comment 19 Rafael Aquini 2017-10-24 12:28:35 UTC
Patch(es) available on kernel-3.10.0-747.el7

Comment 21 Junhan 2017-10-27 06:46:56 UTC
Reproduce this bug at kernel 3.10.0-327.el7.x86_64, close the physical switch port that connect to the ixgbe interface to simulate the unplug cable.
Verify it is be fixed at kernel 3.10.0-748.el7.x86_64.

Comment 23 errata-xmlrpc 2018-04-10 19:27:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1062


Note You need to log in before you can comment on or make changes to this bug.